VisualEditor: Snowman character gets triggered, when trying to insert a template with Comment edit dialog open.
Closed, ResolvedPublic

Description

screenshot

Environment- test2

Steps-
1>1> Open a blank page in VE and type in some text.
2>At the end of the text insert a comment.
3>Click on the Comment , to open the comment edit dialog.
4> Now while the cursor is still in the comment edit dialog , click to insert a Template.
5> As you start typing, add any template from the list that shows likely matches. For Example -select the “Bar” template.
6>Type in Field name and insert the template.
7>Notice the template does get added and then a snowman like character gets triggered after it.

Behavior found in Chrome,FF and Safari.


Version: unspecified
Severity: major

Attached:

Swainr created this task.Via LegacyJul 28 2014, 3:29 PM
Swainr added a comment.Via ConduitJul 28 2014, 3:49 PM

confirmed in betalabs. Try the template "Bar chart"

gerritbot added a comment.Via ConduitJul 28 2014, 6:48 PM

Change 149920 had a related patch set uploaded by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 12:49 AM

Change 149920 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 10:34 AM

Change 149920 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 2:51 PM

Change 150222 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150222

gerritbot added a comment.Via ConduitJul 29 2014, 2:51 PM

Change 150222 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150222

gerritbot added a comment.Via ConduitJul 29 2014, 2:58 PM

Change 150224 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 2:59 PM

Change 150224 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 3:01 PM

Change 150224 restored by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 3:02 PM

Change 150224 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

Reason:
I give up.

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 5:59 PM

Change 150274 had a related patch set uploaded by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150274

gerritbot added a comment.Via ConduitJul 29 2014, 6:32 PM

Change 150224 restored by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 6:36 PM

Change 150274 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150274

gerritbot added a comment.Via ConduitJul 29 2014, 6:36 PM

Change 150224 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

Jdforrester-WMF added a comment.Via ConduitJul 29 2014, 7:09 PM

Should be now fully fixed in master; deployment to production scheduled for 4 hours' time.

Swainr added a comment.Via ConduitJul 30 2014, 8:14 PM

Issue fixed in beta and test2

Swainr added a comment.Via ConduitAug 1 2014, 6:56 PM

Created attachment 16120
screenshot_FF

Attached:

Swainr added a comment.Via ConduitAug 1 2014, 6:58 PM

In FF, the highlight seems to mask the comment icon.See screenshot_FF.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.